Entropy 1.0_rc79 upgrade fails [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

Entropy 1.0_rc79 upgrade fails [Solved]

Postby lrshmm » Thu Dec 29, 2011 21:07

I just today managed to get my first Sabayon to boot, after fighting with an Ubuntu bootloader that did not properly auto-detected Sabayon, but after a day or two of google and testing it is now finally booting. The bootloader (or Sabayon) autodetect choose wrong disc etc. in the grub-menu. Anyhow, Im live, I thought... starting the first time, I had some 460+ updates, with the note on "Application updates" that I have an outdated version of sys/entropy and that I should upgrade to the latest before doing anything. Well and fine, I find "Entropy store" search for "entropy" and finds 1.0_rc79. Click on install and unfortunately it fails.

The error seems to be:
TypeError: doebuild() got an unexpected keyword argument 'myroot' in reloading portage modules.

This is what where the first error occurs in /var/log/entropy/entropy.log

Code: Select all

[20:41:55 29/12/2011 CET] INFO: [Trigger] [client] [POST] Running env_update
[20:41:57 29/12/2011 CET] INFO: [Package] [client] Unpacking package: packages/amd64/5/app-admin:eselect-1.2.18~0.tbz2
[20:41:59 29/12/2011 CET] INFO: [Package] [client] Installing package: app-admin/eselect-1.2.18
[20:42:01 29/12/2011 CET] INFO: [Package] [client] Remove old package (spm data): app-admin/eselect-1.2.17
[20:42:01 29/12/2011 CET] INFO: [Package] [client] Removing from SPM: app-admin/eselect-1.2.17
[20:42:01 29/12/2011 CET] INFO: [Package] [client] Installing new SPM entry: app-admin/eselect-1.2.18
[20:42:04 29/12/2011 CET] INFO: [Package] [client] Unpacking package: packages/amd64/5/sys-apps:portage-2.2.0_alpha78~0.tbz2
[20:42:13 29/12/2011 CET] INFO: [Package] [client] Installing package: sys-apps/portage-2.2.0_alpha78
[20:42:14 29/12/2011 CET] INFO: [Package] [client] Protecting config file: /etc/etc-update.conf
[20:42:14 29/12/2011 CET] INFO: [Package] [client] Protecting config file: /etc/dispatch-conf.conf
[20:42:17 29/12/2011 CET] INFO: Traceback (most recent call last):
  File "/usr/lib/entropy/libraries/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 1935, in _portage_doebuild
    debug = etpUi['debug']
  File "/usr/lib64/portage/pym/portage/proxy/objectproxy.py", line 31, in __call__
    return result(*args, **kwargs)
TypeError: doebuild() got an unexpected keyword argument 'myroot'

[20:42:17 29/12/2011 CET] INFO: Traceback (most recent call last):
  File "/usr/lib/entropy/libraries/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 1935, in _portage_doebuild
    debug = etpUi['debug']
  File "/usr/lib64/portage/pym/portage/proxy/objectproxy.py", line 31, in __call__
    return result(*args, **kwargs)
TypeError: doebuild() got an unexpected keyword argument 'myroot'

[20:42:17 29/12/2011 CET] INFO: [PRE] ATTENTION Cannot properly run SPM postrm phase for sys-apps/portage-2.2.0_alpha51. Something bad happened. Exception Type$
...


And the last few lines:
Code: Select all
  File "/usr/lib/entropy/libraries/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 1935, in _portage_doebuild
    str(myebuild),
TypeError: doebuild() got an unexpected keyword argument 'myroot'

[20:42:45 29/12/2011 CET] INFO: Traceback (most recent call last):
  File "/usr/lib/entropy/libraries/entropy/spm/plugins/interfaces/portage_plugin/__init__.py", line 1935, in _portage_doebuild
    str(myebuild),
TypeError: doebuild() got an unexpected keyword argument 'myroot'

[20:42:45 29/12/2011 CET] INFO: [SETUP] ATTENTION Cannot properly run SPM setup phase for app-admin/equo-1.0_rc79. Something bad happened. Exception TypeError($
[20:42:45 29/12/2011 CET] INFO: [SETUP] ATTENTION Cannot properly run SPM setup phase for app-admin/equo-1.0_rc79. Something bad happened. Exception TypeError($
[20:42:45 29/12/2011 CET] INFO: [SETUP] ATTENTION Cannot properly run Source Package Manager setup phase for app-admin/equo-1.0_rc79 Something bad happened.
[20:42:45 29/12/2011 CET] INFO: [SETUP] ATTENTION Cannot properly run Source Package Manager setup phase for app-admin/equo-1.0_rc79 Something bad happened.


Any help is appreciated.
Last edited by lrshmm on Sun Jan 01, 2012 15:04, edited 1 time in total.
lrshmm
Baby Hen
 
Posts: 3
Joined: Tue Dec 27, 2011 22:46

Re: Entropy 1.0_rc79 upgrade fails

Postby micia » Thu Dec 29, 2011 22:53

Try using emerge to update entropy:

1) update portage tree:
(as root)
Code: Select all
emerge --sync


2) install git in order to add sabayon-distro overlay:
(as root)
Code: Select all
emerge -1av git


3) add the sabayon-distro overlay:
(as root)
Code: Select all
layman -a sabayon-distro
layman -S


4) update entropy:
(as root)
Code: Select all
emerge -1av entropy equo sulfur


5) sync entropy with portage and reinstall entropy using equo:
(as root)
Code: Select all
equo rescue spmsync
equo install entropy equo sulfur
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Entropy 1.0_rc79 upgrade fails

Postby lrshmm » Sun Jan 01, 2012 15:03

Thanks.

The key hint was to use emerge to upgrade portage, which somehow was coupled to entropy, rather than an entropy update.
Once it was done, I ran the (first) great system update. The system now claims it is up to date, and seems to work.

Happy New Year!
lrshmm
Baby Hen
 
Posts: 3
Joined: Tue Dec 27, 2011 22:46

Re: Entropy 1.0_rc79 upgrade fails [Solved]

Postby micia » Sun Jan 01, 2012 21:44

Do not use emerge to update portage, that is very dangerous. If you want to use entropy to manage your system, always use entropy to update portage.
Anyway, glad that it worked.

Happy New Year.
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: Entropy 1.0_rc79 upgrade fails [Solved]

Postby joost » Sun Jan 01, 2012 22:27

I ran into this too when test installing LXDE 7 version.
Looks like this has to do with a newer Portage version that gets installed, but not sure.
joost
Sagely Hen
 
Posts: 2547
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron